### Enumeration

# Vips ForeignPdfPageBox

#### Declaration

    enum Vips.ForeignPdfPageBox

#### Description [src]

Each page of a PDF document can contain multiple page boxes, also known as boundary boxes or print marks.

Each page box defines a region of the complete page that should be rendered. The default region is the crop box.

#### Members

`VIPS_FOREIGN_PDF_PAGE_BOX_MEDIA`

  Media box.

  - Value: `0`
  - Available since: 8.0
`VIPS_FOREIGN_PDF_PAGE_BOX_CROP`

  Crop box.

  - Value: `1`
  - Available since: 8.0
`VIPS_FOREIGN_PDF_PAGE_BOX_TRIM`

  Trim box.

  - Value: `2`
  - Available since: 8.0
`VIPS_FOREIGN_PDF_PAGE_BOX_BLEED`

  Bleed box.

  - Value: `3`
  - Available since: 8.0
`VIPS_FOREIGN_PDF_PAGE_BOX_ART`

  Art box.

  - Value: `4`
  - Available since: 8.0